<%@ page language="java" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>
<%@ taglib uri="https://ajax4jsf.dev.java.net/ajax" prefix="a4j"%>


<h:form id="actionMenuForm" onsubmit="if(!submitOnce()){return false;}">

<t:div id="actionButtonsDummyDiv" >
  <a4j:outputPanel id="aopActionsMenuButtons">
    <h:panelGroup id="actionsMenuButtons4SeniorsPG">
      <a4j:region id="aActionButtonsRegion" renderRegionOnly="false" >

  
        <a4j:outputPanel id="a4jActionMenuButtons"  
                         ajaxRendered="#{!empty requestScope[FieldConfigurationController.parameterNumberSelectedDocumentsChanged] || !empty requestScope[ProxyModeController.paramSiblingsShownAutomatically]}">
         
         ... some buttons

        </a4j:outputPanel>
      </a4j:region>
    </h:panelGroup>
    <a4j:region id="aActionShowAspectListRegion"
                renderRegionOnly="false"
                rendered="#{xxxFieldController.aspectsButtonAvailable}">
      <a4j:commandButton id="aShowAspectList"
                         actionListener="#{AspectController.showAllAspects}"
                         reRender="a4jAspectList"
                         oncomplete="enableSubmit();showProgressBar(false);closeActionsMenu();"
                         />
    </a4j:region>
  </a4j:outputPanel> <%-- end aopActionsMenuButtons --%>
</t:div>

<t:div id="actionsMenuBox" forceId="true"
       styleClass="selfree actionsMenuBox" 
       style="z-index:29201;display:none;">
  <t:div styleClass="ambsha" style="z-index:29201;" forceId="true" id="ambsha">
    <t:div styleClass="ambsha1" style="z-index:29202;" forceId="true" id="ambsha1"></t:div>
    <t:div styleClass="ambsha2" style="z-index:29203;" forceId="true" id="ambsha2"></t:div>
    <t:div styleClass="ambsha3" style="z-index:29204;" forceId="true" id="ambsha3"></t:div>
  </t:div>
  <t:div id="ambinbox" 
         styleClass="ambinbox" style="z-index:29210;">
    <t:div id="actionsMenuBoxHeader" forceId="true"
           styleClass="actionsMenuBoxHeader">
      <h:outputText id="actionsMenuBoxTitle"
                    value="#{msgs['litigation.explore.reportMenu.head']}"
                    style="padding-left:5px;cursor:default;"/>
      <t:graphicImage id="actions_menu_img_close"
                      url="/images/rec_icon_messagebox_close.gif"
                      styleClass="actions_menu_img_close"
                      alt=""
                      onclick="closeActionsMenu();"/>
    </t:div>

    <t:div id="actionsMenuContent" styleClass="actionsMenuContent">
      <a4j:outputPanel id="aopActionsMenuContent">
<f:verbatim>
        <ul id="menuLnkArrow" class="menuLnkArrow">
</f:verbatim>

          <h:panelGroup id="actionMenuAssToBatchPg" 
                        rendered="#{! sessionScope.visit.user.activeRoleReviewer}">

<f:verbatim>
        <li class="menuLnk">
</f:verbatim>

              <a4j:outputPanel id="a4jActionsMenuAssignToBatch" 
                               ajaxRendered="#{!empty requestScope[FieldConfigurationController.parameterNumberSelectedDocumentsChanged] || !empty requestScope[ProxyModeController.paramSiblingsShownAutomatically]}">
                <t:div id="actionsMenuAssignToBatch"
                       onmouseout="#{ProxyModeController.activeWorkbenchController.assignToBatchButtonEnabled?'menuItemOut(this);':''}" 
                       onmouseover="#{ProxyModeController.activeWorkbenchController.assignToBatchButtonEnabled?'menuItemOver(this);':''}" 
                       styleClass="#{ProxyModeController.activeWorkbenchController.assignToBatchButtonEnabled?'lilnk':'lilnkOff'}"
                       onclick="#{ProxyModeController.activeWorkbenchController.assignToBatchButtonEnabled?'clickActionMenuAssignToBatch();':''}">
                  <t:graphicImage id="imgActionsMenuAssignToBatch" 
                                  url="/images/rec_icon_wizard#{ProxyModeController.activeWorkbenchController.assignToBatchButtonEnabled?'':'_off'}.gif"
                                  alt=""
                                  style="margin-right:2px;"/>
                  <h:outputText id="actionsMenuAssignToBatchLabel"
                                style="vertical-align:top;"
                                value="#{msgs['litigation.workbench.functions.button.assignToBatch']} ..."
                                title="#{msgs['litigation.workbench.functions.button.assignToBatch.title']}"/>
                </t:div>
              </a4j:outputPanel>

<f:verbatim>
        </li>
</f:verbatim>
          </h:panelGroup>

          <h:panelGroup id="actionMenuViewAspPg" 
                        rendered="#{SecuredUserFieldController.aspectsButtonAvailable}">

<f:verbatim>
        <li class="menuLnk">
</f:verbatim>
            <t:div id="actionsMenuViewAspectList"
                   onmouseout="menuItemOut(this);" 
                   onmouseover="menuItemOver(this);" 
                   styleClass="lilnk"
                   onclick="getObj('actionMenuForm:aShowAspectList').click();">
              <t:graphicImage id="imgActionsMenuViewAspectList" 
                              url="/images/rec_button_icon_list.gif" 
                              style="margin-right:6px;"
                              alt=""/>
              <h:outputText id="actionsMenuViewAspectListLabel"
                            style="vertical-align:top;"
                            value="#{msgs['litigation.workbench.functions.button.showAspects']} ..."
                            title="#{msgs['litigation.workbench.functions.button.showAspects.title']}"/>
            </t:div>
<f:verbatim>
        </li>
</f:verbatim>
          </h:panelGroup>

          <h:panelGroup id="actionMenuExpPg" 
                        rendered="#{FieldConfigurationController.exportSearchButtonShown && !sessionScope.visit.user.activeRoleReviewer}">
<f:verbatim>
        <li class="menuLnk">
</f:verbatim>
            <t:div id="actionsMenuExportSearch"
                   onmouseout="menuItemOut(this);" 
                   onmouseover="menuItemOver(this);" 
                   styleClass="lilnk"
                   onclick="if(getObj('actionMenuForm:exportSearchButton')){getObj('actionMenuForm:exportSearchButton').click();}">
              <t:graphicImage id="imgActionsMenuExportSearch" 
                              url="/images/rec_button_icon_exportsearch.gif" 
                              style="margin-right:6px;"
                              alt=""/>
              <h:outputText id="actionsMenuExportSearchLabel"
                            style="vertical-align:top;"
                            value="#{msgs['litigation.explore.button.exportsearch']}"
                            title="#{msgs['litigation.explore.button.exportsearch.title']}"/>
            </t:div>
<f:verbatim>
        </li>
</f:verbatim>
<f:verbatim>
        <li class="menuLnk">
</f:verbatim>
            <a4j:outputPanel id="a4jActionsMenuProduction" 
                             ajaxRendered="#{!empty requestScope[FieldConfigurationController.parameterNumberSelectedDocumentsChanged] || !empty requestScope[ProxyModeController.paramSiblingsShownAutomatically]}">
              <t:div id="actionsMenuProduction"
                     onmouseout="#{ProxyModeController.activeWorkbenchController.productionWizardEnabled?'menuItemOut(this);':''}" 
                     onmouseover="#{ProxyModeController.activeWorkbenchController.productionWizardEnabled?'menuItemOver(this);':''}" 
                     styleClass="#{ProxyModeController.activeWorkbenchController.productionWizardEnabled?'lilnk':'lilnkOff'}"
                     onclick="#{ProxyModeController.activeWorkbenchController.productionWizardEnabled?'openProductionWizard();':''}">
                <t:graphicImage id="imgActionsMenuProduction" 
                                url="/images/rec_icon_production#{ProxyModeController.activeWorkbenchController.productionWizardEnabled?'':'_off'}.gif" 
                                style="margin-right:2px;"
                                alt=""/>
                <h:outputText id="actionsMenuProductionLabel"
                              style="vertical-align:top;"
                              value="#{msgs['litigation.workbench.functions.button.produce']}"
                              title="#{msgs['litigation.workbench.functions.button.produce.title']}"/>
              </t:div>
            </a4j:outputPanel>
<f:verbatim>
        </li>
</f:verbatim>

<f:verbatim>
        <li class="menuLnk">
</f:verbatim>
            <a4j:outputPanel id="a4jActionsMenuPrinting" 
                             ajaxRendered="#{!empty requestScope[FieldConfigurationController.parameterNumberSelectedDocumentsChanged] || !empty requestScope[ProxyModeController.paramSiblingsShownAutomatically]}">
              <t:div id="actionsMenuBulkPrinting"
                     onmouseout="#{ProxyModeController.activeWorkbenchController.printingWizardEnabled?'menuItemOut(this);':''}" 
                     onmouseover="#{ProxyModeController.activeWorkbenchController.printingWizardEnabled?'menuItemOver(this);':''}" 
                     styleClass="#{ProxyModeController.activeWorkbenchController.printingWizardEnabled?'lilnk':'lilnkOff'}"
                     onclick="#{ProxyModeController.activeWorkbenchController.printingWizardEnabled?'openBulkPrintingWizard();':''}">
                <t:graphicImage id="imgActionsMenuBulkPrinting" 
                                url="/images/rec_icon_printing#{ProxyModeController.activeWorkbenchController.printingWizardEnabled?'':'_off'}.gif" 
                                style="margin-right:2px;"
                                alt=""/>
                <h:outputText id="actionsMenuBulkPrintingLabel"
                              style="vertical-align:top;"
                              value="#{msgs['litigation.workbench.functions.button.bulkPrint']}"
                              title="#{msgs['litigation.workbench.functions.button.bulkPrint.title']}"/>
              </t:div>
            </a4j:outputPanel>
<f:verbatim>
        </li>
</f:verbatim>
<f:verbatim>
        <li class="menuLnk">
</f:verbatim>
            <a4j:outputPanel id="a4jActionsMenuConversion" 
                             ajaxRendered="#{!empty requestScope[FieldConfigurationController.parameterNumberSelectedDocumentsChanged] || !empty requestScope[ProxyModeController.paramSiblingsShownAutomatically]}">
              <t:div id="actionsMenuBulkConversion"
                     onmouseout="#{ProxyModeController.activeWorkbenchController.conversionWizardEnabled?'menuItemOut(this);':''}" 
                     onmouseover="#{ProxyModeController.activeWorkbenchController.conversionWizardEnabled?'menuItemOver(this);':''}" 
                     styleClass="#{ProxyModeController.activeWorkbenchController.conversionWizardEnabled?'lilnk':'lilnkOff'}"
                     onclick="#{ProxyModeController.activeWorkbenchController.conversionWizardEnabled?'openBulkConversionWizard();':''}">
                <t:graphicImage id="imgActionsMenuBulkConversion" 
                                url="/images/rec_icon_conversion#{ProxyModeController.activeWorkbenchController.conversionWizardEnabled?'':'_off'}.gif" 
                                style="margin-right:2px;"
                                alt=""/>
                <h:outputText id="actionsMenuBulkConversionLabel"
                              style="vertical-align:top;"
                              value="#{msgs['litigation.workbench.functions.button.bulkConvert']}"
                              title="#{msgs['litigation.workbench.functions.button.bulkConvert.title']}"/>
              </t:div>
            </a4j:outputPanel>
<f:verbatim>
        </li>
</f:verbatim>
<f:verbatim>
        <li class="menuLnk">
</f:verbatim>
            <a4j:outputPanel id="a4jActionsMenuConversionSlipSheet" 
                             ajaxRendered="#{!empty requestScope[FieldConfigurationController.parameterNumberSelectedDocumentsChanged] || !empty requestScope[ProxyModeController.paramSiblingsShownAutomatically]}">
              <t:div id="actionsMenuConversionSlipSheet"
                     onmouseout="#{ProxyModeController.activeWorkbenchController.conversionSlipSheetWizardEnabled?'menuItemOut(this);':''}" 
                     onmouseover="#{ProxyModeController.activeWorkbenchController.conversionSlipSheetWizardEnabled?'menuItemOver(this);':''}" 
                     styleClass="#{ProxyModeController.activeWorkbenchController.conversionSlipSheetWizardEnabled?'lilnk':'lilnkOff'}"
                     onclick="#{ProxyModeController.activeWorkbenchController.conversionSlipSheetWizardEnabled?'openConversionSlipSheetWizard();':''}">
                <t:graphicImage id="imgActionsMenuConversionSlipSheet" 
                                url="/images/rec_icon_conversion_slip_sheet#{ProxyModeController.activeWorkbenchController.conversionSlipSheetWizardEnabled?'':'_off'}.gif" 
                                style="margin-right:6px;"
                                alt=""/>
                <h:outputText id="actionsMenuConversionSlipSheetLabel"
                              style="vertical-align:top;"
                              value="#{msgs['litigation.workbench.functions.button.conversionSlipSheet']}"
                              title="#{msgs['litigation.workbench.functions.button.conversionSlipSheet.title']}"/>
              </t:div>
            </a4j:outputPanel>
<f:verbatim>
        </li>
</f:verbatim>
          </h:panelGroup>
<f:verbatim>
        </ul>
</f:verbatim>
      </a4j:outputPanel> 
    </t:div>
  </t:div>
<h:outputText id="ambIfr"
              rendered="#{sessionScope['browser']=='MSIE'}"
              escape="false"
              value="<iframe id='ambIFR' src='javascript:false;' style='width:183px;height:164px;'></iframe>"/>
</t:div>
</h:form>