<%@ page language="java" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>
<%@ taglib uri="https://ajax4jsf.dev.java.net/ajax" prefix="a4j"%>

<h:form id="aspectform" onsubmit="if(!submitOnce()){return false;}">
<t:saveState id="savedAspectController" value="#{AspectController}"/>
<a4j:region renderRegionOnly="false">

  <t:inputHidden id="category4Aspects" forceId="true" value="#{AspectController.category}"/>
  <a4j:commandButton id="aApplyAspectFilter"
                     styleClass="hiddenAJAXButton"
                     actionListener="#{AspectController.applyAspectFilter}"
                     ajaxSingle="false"
                     immediate="false"
                     onclick="if(!checkCodingChanged(this)){return false;}#{!sessionScope.visit.user.activeRoleReviewer?'if(isRetrainMode()){tableoff=0;}':''}"
                     reRender="#{sessionScope.visit.user.activeRoleReviewer?'a4jBatchFilters1,a4jBatchFilters2,a4jDocumentList,numberSelectedDocuments,aStatusBar,a4jDocPreview':'a4jExploreFilters,a4jExploreFilters2,a4jDocumentListBox,a4jAssignToPanel,a4jDocPreviewBox'},a4jAspectList,a4jProfile1,a4jProfile2,a4jSiblingList,searchText"
                     oncomplete="enableSubmit();showProgressBar(false);completeResizeDocPreview();tableoff=0;initDocList();resizeFilter();#{sessionScope.visit.user.activeRoleReviewer?'initTemplateButtons();':''}"/>
  
  <a4j:commandButton id="aCloseAspectList"
                     styleClass="hiddenAJAXButton"
                     actionListener="#{AspectController.closeAspects}"
                     ajaxSingle="false"
                     immediate="false"
                     reRender="a4jAspectList"
                     oncomplete="enableSubmit();showProgressBar(false);"/>
</a4j:region>
<a4j:outputPanel id="a4jAspectList">
  <t:panelGroup id="aspectListPg" rendered="#{!empty requestScope['aspectListOpen']}">
    <t:div id="aspectlistOverviewBox" forceId="true"
           styleClass="selfree aspectlistOverviewBox"
           style="z-index:9100;width:800px;display:block;">
      <t:div styleClass="alovsha" style="z-index:9101;" forceId="true" id="alovsha">
        <t:div styleClass="alovsha1" style="z-index:9102;" id="alovsha1"></t:div>
        <t:div styleClass="alovsha2" style="z-index:9103;" id="alovsha2"></t:div>
        <t:div styleClass="alovsha3" style="z-index:9104;" id="alovsha3"></t:div>    
      </t:div>

    <t:div id="apltDiv" forceId="true"
           styleClass="apltDiv">
      <t:div id="apltDivTitle" forceId="true"
             onmousedown="dragStart(event, 'aspectlistOverviewBox')" 
             styleClass="apltDivTitle">
        <h:outputText id="apltDivTitleText" 
                      value="#{msgs['litigation.workbench.aspectlist.head']}"
                      style="padding-left:5px;cursor:move;"/>
    
        <t:graphicImage url="/images/rec_icon_messagebox_close.gif"
                        styleClass="aplBox_img_close"
                        id="aspect_img_close" 
                        onclick="clickAjaxLink('aspectform:aCloseAspectList');"/>
      </t:div>
      <t:div id="apltDivHead" 
             forceId="true" 
             styleClass="apltDivHead">
        <t:outputText id="apltDivHeadTxt" styleClass="apltDivHeadTxt" value="#{msgs['litigation.workbench.aspectlist.head.label']}"/>
        <t:div id="apltDivHeadSortOptionBox" styleClass="apltDivHeadSortOptionBox">
          <a4j:region id="aSortAspectRegion" renderRegionOnly="false">
            <t:selectOneRadio id="apltDivHeadSortOption" forceId="true"
                              styleClass="apltDivHeadSortOption"
                              value="#{AspectController.sortByNumber}"
                              layout="lineDirection">
              <f:selectItem id="apltDivHeadSortID" itemValue="#{false}" itemLabel="#{msgs['litigation.workbench.aspectlist.label.id']}"/>
              <f:selectItem id="apltDivHeadSortSize" itemValue="#{true}" itemLabel="#{msgs['litigation.workbench.aspectlist.label.size']}"/>
              <a4j:support id="aChangeAspectSorting" 
                           event="onclick"
                           actionListener="#{AspectController.sortAspects}"
                           reRender="a4jAspectList"
                           oncomplete="enableSubmit();showProgressBar(false);"/>
            </t:selectOneRadio>
          </a4j:region>
        </t:div>
      </t:div>
      <t:div id="apltDivContent" forceId="true" 
             styleClass="apltDivContent">
         <%--outer table loops over the aspects --%>
         <t:dataTable id="l" forceId="true"
                      value="#{AspectController.aspects}"
                      var="aspect"
                      rowIndexVar="rowindexAspect"
                      renderedIfEmpty="false"
                      preserveDataModel="false"
                      newspaperOrientation="horizontal"
                      newspaperColumns="#{AspectController.newspaperColumns}"
                      styleClass="#{AspectController.showScores?'aplmaintbl7':'aplmaintbl'}">
          <t:column>
            <t:div id="aplthead" styleClass="aplthead" onclick="clickAspectFilter('#{aspect.value}');" >
              <%--t:outputText id="apltheadText" forceId="true" value="#{aspect.label}"/--%>
              <t:outputText id="apltheadText" forceId="true" value="#{rowindexAspect+1} (#{msgs['litigation.workbench.aspectlist.label.id']} #{aspect.value})"/>
            </t:div>
            <t:div id="aplthead2" styleClass="aplthead" style="font-weight:normal" onclick="clickAspectFilter('#{aspect.value}');" >
              <t:outputText id="apltheadText2" forceId="true" value="#{aspect.counts} #{msgs['litigation.workbench.aspectlist.label.documents']}"/>
            </t:div>
            <%--inner table loops over the words --%>
            <t:dataTable id="wt" forceId="true"
                         value="#{aspect.words}"
                         var="word"
                         rowIndexVar="rowindexWord"
                         renderedIfEmpty="false"
                         preserveDataModel="false"
                         styleClass="apltbl">
            <t:column>
              <%--optimized for IE to reduce page size --%>
              <t:div id="wed" styleClass="apltWord">
              <t:outputText id="we" forceId="true"
                            title="#{word}"
                            value="#{word}"/>
              </t:div>       
            </t:column>
            <t:column rendered="#{AspectController.showScores}">
              <t:outputText id="ws" forceId="true" value="#{aspect.scores[rowindexWord]}"/>
            </t:column>
            </t:dataTable>
          </t:column>
         </t:dataTable>
        </t:div>
      </t:div>
      <h:outputText id="aloIfr"
                    rendered="#{sessionScope['browser']=='MSIE' && sessionScope['browserVersion']<9}"
                    escape="false"
                    value="<iframe id='aspectlistOverviewIFR' src='javascript:false;' style='width:800px;height:480px;'></iframe>"/>
    </t:div>
  </t:panelGroup>
</a4j:outputPanel>
</h:form>